﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;

namespace ComboEditorInField
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xamDGAccGrouping_SelectedItemsChanged(object sender, Infragistics.Windows.DataPresenter.Events.SelectedItemsChangedEventArgs e)
        {
            int count = this.xamDGAccGrouping.SelectedItems.Cells.Count;
            if (e.Type == typeof(Field))
            {


            }

        }
    }

    public class Data
    {
        public int ID { get; set; }
        public int Combo { get; set; }
    }

    public class Combo
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }

    public class VM
    {
        public VM()
        {
            Data = new ObservableCollection<Data>()
            {
                new Data { ID = 1, Combo = 3 },
                new Data { ID = 2, Combo = 1 },
                new Data { ID = 3, Combo = 2 },
                new Data { ID = 4, Combo = 0 },
                new Data { ID = 5, Combo = 1 },
            };

            ComboSource = new ObservableCollection<Combo>
            {
                new Combo { ID = 0, Name = "Item 1" },
                new Combo { ID = 1, Name = "Item 2" },
                new Combo { ID = 2, Name = "Item 3" },
                new Combo { ID = 3, Name = "Item 4" },
            };
        }

        public ObservableCollection<Data> Data { get; set; }
        public ObservableCollection<Combo> ComboSource { get; set; }
    }
}
